Skip to main content
GET
/
wallet
/
deposit-instructions
Get deposit instructions
curl --request GET \
  --url https://api.natural.co/wallet/deposit-instructions \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "type": "deposit_instructions",
    "id": "wal_019cd3444a6f73db8ef1f4afd074c166",
    "attributes": {
      "routing_number": "101019644",
      "account_number": "217190859542",
      "bank_name": "Lead Bank"
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Agent-ID
string | null

Agent ID (agt_xxx) identifying which agent is making the request.

X-Instance-ID
string | null

Agent session/conversation ID for observability.

Maximum string length: 1024

Response

Successful Response

Deposit instructions response.

data
DepositInstructionsResource · object
required

Resource object